resource "local_file" "tf_ansible_vars_file" {
  content = <<-DOC
    # Ansible vars_file containing variable values from Terraform.
    tunnel_id: ${cloudflare_zero_trust_tunnel_cloudflared.auto_tunnel.id}
    account: ${var.cloudflare_account_id}
    tunnel_name: ${cloudflare_zero_trust_tunnel_cloudflared.auto_tunnel.name}
    secret: ${base64sha256(random_password.tunnel_secret.result)}
    hostname_80: ${local.hostname_80}
    hostname_22: ${local.hostname_22}
    github_username_for_additional_keys: ${var.github_username_for_additional_keys}
    DOC

  filename = "./tf_ansible_vars_file.yml"
}
